clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::PolySubsequenceMatcher< M > Class Template Reference

`#include <Matchers.h>`

## Public Member Functions
| PolySubsequenceMatcher (M &&... Args)
template<typename T >
| operator Matcher< const std::vector< T > & > () const

## Detailed Description

### template<typename... M>
class clang::clangd::PolySubsequenceMatcher< M >

Definition at line 83 of file clangd/unittests/Matchers.h.

## Constructor & Destructor Documentation

## ◆ PolySubsequenceMatcher()

template<typename... M>

clang::clangd::PolySubsequenceMatcher< M >::PolySubsequenceMatcher | ( | M &&... | Args | ) |
| inline

Definition at line 87 of file clangd/unittests/Matchers.h.

## Member Function Documentation

## ◆ operator Matcher< const std::vector< T > & >()

template<typename... M>
template<typename T >

clang::clangd::PolySubsequenceMatcher< M >::operator Matcher< const std::vector< T > &> | ( |  | ) | const
| inline

Definition at line 90 of file clangd/unittests/Matchers.h.

The documentation for this class was generated from the following file:

- clangd/unittests/Matchers.h